Menu

## AutoScaleFighter

AutoScaleFighter.php : 13

Automatically calculated values based on the fighter's level.

### Table of Contents

getAttack() : int
  Returns the attack value based on the fighter's level.
getBuffs() : BuffList
  Returns an empty bufflist.
getDefense() : int
  Returns the defense value based on the fighter's level.
getMaxHealth() : int
  Returns the maximum health based on the fighter's level.

### Methods

#### getAttack()

AutoScaleFighter.php : 31

Returns the attack value based on the fighter's level.

`public getAttack([bool $ignoreBuffs = false ]) : int`

##### Parameters

$ignoreBuffs : bool = false

##### Return values

int —

#### getBuffs()

AutoScaleFighter.php : 52

Returns an empty bufflist.

`public getBuffs() : BuffList`

##### Return values

BuffList —

#### getDefense()

AutoScaleFighter.php : 42

Returns the defense value based on the fighter's level.

`public getDefense([bool $ignoreBuffs = false ]) : int`

##### Parameters

$ignoreBuffs : bool = false

##### Return values

int —

#### getMaxHealth()

AutoScaleFighter.php : 20

Returns the maximum health based on the fighter's level.

`public getMaxHealth() : int`

##### Return values

int —

## Search results